CRAN Package Check Results for Package maptools

Last updated on 2016-08-29 19:48:23.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.8-39 4.10 65.51 69.61 OK
r-devel-linux-x86_64-debian-gcc 0.8-39 4.86 64.25 69.11 OK
r-devel-linux-x86_64-fedora-clang 0.8-39 125.96 OK
r-devel-linux-x86_64-fedora-gcc 0.8-39 120.99 OK
r-devel-osx-x86_64-clang 0.8-39 104.10 OK
r-devel-windows-ix86+x86_64 0.8-39 28.00 196.00 224.00 OK
r-patched-linux-x86_64 0.8-39 4.27 63.72 67.99 OK
r-patched-solaris-sparc 0.8-39 770.90 OK
r-patched-solaris-x86 0.8-39 152.00 OK
r-release-linux-x86_64 0.8-39 4.40 64.62 69.02 OK
r-release-osx-x86_64-mavericks 0.8-39 ERROR
r-release-windows-ix86+x86_64 0.8-39 18.00 142.00 160.00 OK
r-oldrel-windows-ix86+x86_64 0.8-39 37.00 213.00 250.00 NOTE

Check Details

Version: 0.8-39
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘rgeos’
Flavor: r-release-osx-x86_64-mavericks

Version: 0.8-39
Check: Rd cross-references
Result: NOTE
    Package unavailable to check Rd xrefs: ‘rgeos’
Flavor: r-release-osx-x86_64-mavericks

Version: 0.8-39
Check: examples
Result: ERROR
    Running examples in ‘maptools-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: nowrapSpatialLines
    > ### Title: Split SpatialLines components at offset
    > ### Aliases: nowrapSpatialLines
    > ### Keywords: spatial
    >
    > ### ** Examples
    >
    > Sl <- SpatialLines(list(Lines(list(Line(cbind(sin(seq(-4,4,0.4)),
    + seq(1,21,1)))), "1")), proj4string=CRS("+proj=longlat +ellps=WGS84"))
    > summary(Sl)
    Object of class SpatialLines
    Coordinates:
     min max
    x -0.9995736 0.9995736
    y 1.0000000 21.0000000
    Is projected: FALSE
    proj4string : [+proj=longlat +ellps=WGS84]
    > nwSL <- nowrapSpatialLines(Sl)
    Error in nowrapSpatialLines(Sl) : package rgeos required
    Execution halted
Flavor: r-release-osx-x86_64-mavericks

Version: 0.8-39
Check: package dependencies
Result: NOTE
    Package which this enhances but not available for checking: 'gpclib'
Flavor: r-oldrel-windows-ix86+x86_64